%define upstream_name    Catalyst-Plugin-Session
%define upstream_version 0.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generic Session plugin for Catalyst
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime) >= 5.710.10
BuildRequires: perl(Digest)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose) >= 0.760.0
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast) >= 0.8.10
BuildRequires: perl(Object::Signature)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::WWW::Mechanize::PSGI)
BuildRequires: perl(Tie::RefHash) >= 1.340.0
BuildRequires: perl(namespace::clean) >= 0.100.0
BuildRequires: perl-namespace-clean
BuildArch:  noarch

%description
The Session plugin is the base of two related parts of functionality required
for session management in web applications. The first part, the State, is
getting the browser to repeat back a session key, so that the web
application can identify the client and logically string several requests
together into a session. The second part, the Store, deals with the actual
storage of information about the client. This data is stored so that the it
may be revived for every request made by the same client. This plugin links
the two pieces together.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.360.0-2.mga3
+ Revision: 364048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.360.0-1.mga3
+ Revision: 314863
- update to 0.36

* Thu Jul 05 2012 jquelin <jquelin> 0.350.0-1.mga3
+ Revision: 268120
- update to 0.35

* Wed Jun 15 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 106524
- update to 0.32

* Wed Jan 26 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 40294
- mageia rebuild
- imported package perl-Catalyst-Plugin-Session

